Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230016 - Cursor skips viewport when dragging window with touchpad
Summary: Cursor skips viewport when dragging window with touchpad
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: beryl-core
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 23:28 UTC by Matthew Saltzman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-29 14:42:02 UTC


Attachments (Terms of Use)

Description Matthew Saltzman 2007-02-25 23:28:57 UTC
Description of problem:
If I drag a window across a viewport boundary, the cursor skips a viewport. 
This seems to happen with the Synaptics touchpad on my Thinkpad, but not with
the standard 3-button PS/2 mouse on my desktop.

Version-Release number of selected component (if applicable):
beryl-gnome-0.1.9999.2-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. Drag a window across the boundary between the leftmost viewport and the next
one to the right.
2.
3.
  
Actual results:
Cursor moves to one viewport past the target.  The window being dragged
straddles the origin and target viewport.  That is, if the viewports are
numbered from left to right, the cursor jumps to viewport 3, wich is displayed.
 The window, which was being dragged from 1 to 2 shows as partially on viewport
1 and partially on viewport 2. 

Expected results:
Viewport 2 should be displayed with the cursor still grabbing the window being
moved.

Additional info:

Comment 1 Jarod Wilson 2007-03-14 15:28:59 UTC
Has this been filed upstream? For the most part, I just package beryl, I don't
actually work on the code, and this sounds like a software bug, not a packaging bug.

Comment 2 Matthew Saltzman 2007-03-14 19:55:31 UTC
I hadn't, but I have now: http://bugs.beryl-project.org/ticket/1722

Comment 3 Jarod Wilson 2007-06-29 14:42:02 UTC
Doesn't look like this was fixed in 0.2.0, doubt it was fixed in 0.2.1, but
compiz-fusion packages are Coming Soon, and beryl is pretty much EOL now, so
closing wontfix.


Note You need to log in before you can comment on or make changes to this bug.